from PyQt5 import QtWidgets
from sqlalchemy import create_engine

from summer.models import initialize_sql
from summer.templates.MainWindow import MainWindow

from summer.views import Router


if __name__ == '__main__':
    import sys

    engine = create_engine('postgresql://postgres:123456@localhost:5432/summer')
    initialize_sql(engine)
    app = QtWidgets.QApplication(sys.argv)
    router = Router()
    window = MainWindow(router)
    window.show()
    sys.exit(app.exec_())
