__author__ = 'tanshu'
from PyQt5 import uic, QtCore


file = '/home/tanshu/Programming/summer/summer/QtDesignerFiles/TaxDetail.ui'
base, form = uic.loadUiType(file)


class TaxDetail(base, form):
    def __init__(self, router, tax, parent=None):
        super(TaxDetail, self).__init__()
        self.setupUi(self)
        self.router = router
        self.tax = tax
        self.txtName.setText(tax['Name'])
        self.dsbRate.setMinimum(0)
        self.dsbRate.setValue(tax['Rate'] * 100)
        self.accepted.connect(self.save_tax)
        self.setAttribute(QtCore.Qt.WA_DeleteOnClose, True)

    def save_tax(self):
        self.tax['Name'] = self.txtName.text()
        self.tax['Rate'] = self.dsbRate.value() / 100

        self.router.save_tax(self.tax)
